/*
Colors:

0071AD
3D7999
00FFCE
FF5740
CC1422


Shades:
0071AD
00537F
00A7FF
002A40
0096E5



*/
@ucc-red: #cc092f;
@ucc-black: #000000;
@ucc-white: #ffffff;

@ucc-font: "Palatino", "Arial", "Helvetica Neue", "Helvetica", sans-serif;

@color-splash-background: #fafafa;
@color-banner: @ucc-white;
@color-text-main: @ucc-black;

@banner-height: 72px;
@navigation-height: 38px;

.center-and-align() {
  background: @ucc-white;
  width:80%;  
  margin-left: auto;
  margin-right: auto;
  padding-left: 20px;
  padding-right: 20px;
  border-left: 2px solid @ucc-red;
  border-right: 1px solid darken(@color-banner, 20%);

  @media only screen and (max-width: 980px) {
    width: 100%;
    border-left: none;
    border-right: none;
  }

  @media only screen and (max-width: 360px) {
    padding-left: 5px;
    padding-right: 5px;
  }
}

html, button, input, select, textarea,
.pure-g [class *= "pure-u"],
.pure-g-r [class *= "pure-u"] {
  font-family: @ucc-font;
}

* {
  box-sizing: border-box;
}

body {
  background: #333 url(../images/light_grey.png);
  color: @color-text-main;
  position: absolute;
  width: 100%;
}

.banner {
  font-family: @ucc-font;
  position: fixed;
  width: 100%;
  z-index: 10;
}

.banner-title {
  .center-and-align();
  font-size: 2em;
  line-height: 2em;
  height: @banner-height;
  padding-bottom: 10px; 

  a, a:visited, a:focus, a:active {
    color: @color-text-main;
    text-decoration: none;
    outline: none;

  }

  .logo {
    width: 50px;
    vertical-align: middle;
  }
}

.navigation {
  .center-and-align();
  padding: 0;
  height: @navigation-height;

  .menu-link {
    text-align: center;
    padding: 10px 0px;
    background: #cc092f;

    &, &:active, &:hover, &:focus, &:visited {
      color: white;
      text-decoration: none;
      outline: none;
    }

    &:focus, &:hover, &.active {
      background: lighten(desaturate(#cc092f, 10%), 10%);
    }

/*3D7999
00FFCE
FF5740
CC1422*/

  }

}

h2 {
  font-family: "Helvetica";
}

.article-image-left {
  float: left;
  width: 100px;
  margin-right: 10px;
}

.article-image-right {
  float: right;
  width: 100px;
  margin-right: 10px;
}

#layout {
  width:100%;
  margin-top: @navigation-height + @banner-height;

  .main-content {
    .center-and-align();
    border-bottom: 1px solid darken(@color-banner, 30%);

    .splash {
      height: 400px;
      background: #333;
      margin-left: -20px;
      margin-right: -20px;
      padding: 0px 0px;
      margin-bottom: 20px;

      .splash-image {
        height: 400px;
        margin-left: auto;
        margin-right: auto;
        display: block;
      }
    }

    .pure-g-r.footer {
      border-top: 1px solid #777;
      margin-left: -20px;
      margin-right: -20px;
      padding: 10px 20px;

    }

    .padded {
      padding: 5px 10px;
    }

    .content {
      padding-bottom: 20px;
    }
  }
}

.right-align {
  text-align: right;
}

.copyright {
  margin-top: 5px;
}

.mission-statement {
  width: 100%;

  img {
    width: 25%;
    float: left;
  }
  em {
    display: block;
    padding-left: 27%;
  }
}

@media only screen and (max-width: 980px) {
  .banner-title {
    font-size: 1.5em;
    .logo {
      width: 35px;
    }
  }
}


@media only screen and (max-width: 360px) {
  .banner-title {
    font-size: 0.9em;
    .logo {
      width: 25px;
    }
  }

  #layout .main-content {
    .footer, .splash {
      margin-left: -5px;
      margin-right: -5px;
    }
    .footer {
      padding: 5px;
    }
  }
}
